Sync React-1
Integráció
sync-lipsync/react-1
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/sync-lipsync/react-1?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"video": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4",
"audio": "https://content.doitong.com/audio/showcase/v3/tools/dub_es.mp3",
"emotion": "happy"
}'
# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY"
const API = "https://api.doitong.com/v1";
const headers = {
"Authorization": "Bearer " + process.env.DOITONG_API_KEY,
"Content-Type": "application/json",
};
// Run the model; wait up to 20 s for the finished result in the same call
let res = await fetch(API + "/run/sync-lipsync/react-1?wait=20", {
method: "POST",
headers,
body: JSON.stringify({
"video": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4",
"audio": "https://content.doitong.com/audio/showcase/v3/tools/dub_es.mp3",
"emotion": "happy"
}),
});
let request = await res.json();
if (!res.ok) throw new Error(request.error.code + ": " + request.error.message);
// Not finished yet: long-poll until it is
while (request.status === "queued" || request.status === "running") {
res = await fetch(API + "/requests/" + request.id + "?wait=20", { headers });
request = await res.json();
}
if (request.status !== "succeeded") throw new Error(JSON.stringify(request.error));
console.log(request.outputs.map((o) => o.url), request.cost.credits + " API credits ($" + request.cost.usd + ")");
import os
import requests
API = "https://api.doitong.com/v1"
headers = {"Authorization": "Bearer " + os.environ["DOITONG_API_KEY"]}
payload = {
"video": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4",
"audio": "https://content.doitong.com/audio/showcase/v3/tools/dub_es.mp3",
"emotion": "happy",
}
# Run the model; wait up to 20 s for the finished result in the same call
r = requests.post(API + "/run/sync-lipsync/react-1", params={"wait": 20}, json=payload, headers=headers)
request = r.json()
if not r.ok:
raise RuntimeError(request["error"]["code"] + ": " + request["error"]["message"])
# Not finished yet: long-poll until it is
while request["status"] in ("queued", "running"):
request = requests.get(API + "/requests/" + request["id"], params={"wait": 20}, headers=headers).json()
if request["status"] != "succeeded":
raise RuntimeError(request["error"])
print([o["url"] for o in request["outputs"]], request["cost"]["credits"], "API credits", "$" + request["cost"]["usd"])
# 1. Connect once (Claude Code; Cursor, VS Code, Claude Desktop: https://doitong.com/hu/developers/docs/mcp)
claude mcp add --transport http doitong-models https://api.doitong.com/v1/mcp \
--header "Authorization: Bearer $DOITONG_API_KEY"
# 2. Your agent calls the "run" tool with:
{
"model_id": "sync-lipsync/react-1",
"input": {
"video": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4",
"audio": "https://content.doitong.com/audio/showcase/v3/tools/dub_es.mp3",
"emotion": "happy"
}
}
A(z) Sync React-1 modell hívása (sync-lipsync/react-1) a Doitong API-n keresztül. Dokumentáció ágensekhez: https://doitong.com/hu/developers/models/sync-lipsync/react-1.md
POST https://api.doitong.com/v1/run/sync-lipsync/react-1?wait=20
Authorization: Bearer $DOITONG_API_KEY
Content-Type: application/json
{
"video": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4",
"audio": "https://content.doitong.com/audio/showcase/v3/tools/dub_es.mp3",
"emotion": "happy"
}
Ha a válasz állapota "queued" vagy "running", kérdezd le a GET https://api.doitong.com/v1/requests/REQUEST_ID?wait=20 végpontot addig, amíg "succeeded" nem lesz; a fájlok az outputs[].url alatt találhatók. A POST https://api.doitong.com/v1/quote/sync-lipsync/react-1 ugyanazzal a törzzsel a futtatás előtti pontos árat adja vissza.
A példához hasonló fájlok: 1,667 $ 1667 API-jóváírás a fájljaidat a futtatás előtt megmérjük Futtatás ezen az oldalon
Az új API-kulcsod. Ez csak most jelenik meg, és már benne van a kódban és az alábbi API-kulcs mezőben. Tartsa titokban: soha ne helyezze böngészőben futó kódba.
Az első eredményed itt jelenik meg
Állíts össze egy kérést alább, majd futtasd az API-kulcsoddal. A kimeneteket a tárhelyünkre másoljuk, és örökre vagy 7 nap ideig ingyenesen őrizzük meg.
Kérés összeállítása
A vezérlők a modell sémájából jönnek létre. A kód és az ár a módosításokkal együtt frissül.
/run/sync-lipsync/react-1?wait=20
ár → 1,667 $
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/sync-lipsync/react-1?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"video": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4",
"audio": "https://content.doitong.com/audio/showcase/v3/tools/dub_es.mp3",
"emotion": "happy"
}'
# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY"
const API = "https://api.doitong.com/v1";
const headers = {
"Authorization": "Bearer " + process.env.DOITONG_API_KEY,
"Content-Type": "application/json",
};
// Run the model; wait up to 20 s for the finished result in the same call
let res = await fetch(API + "/run/sync-lipsync/react-1?wait=20", {
method: "POST",
headers,
body: JSON.stringify({
"video": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4",
"audio": "https://content.doitong.com/audio/showcase/v3/tools/dub_es.mp3",
"emotion": "happy"
}),
});
let request = await res.json();
if (!res.ok) throw new Error(request.error.code + ": " + request.error.message);
// Not finished yet: long-poll until it is
while (request.status === "queued" || request.status === "running") {
res = await fetch(API + "/requests/" + request.id + "?wait=20", { headers });
request = await res.json();
}
if (request.status !== "succeeded") throw new Error(JSON.stringify(request.error));
console.log(request.outputs.map((o) => o.url), request.cost.credits + " API credits ($" + request.cost.usd + ")");
import os
import requests
API = "https://api.doitong.com/v1"
headers = {"Authorization": "Bearer " + os.environ["DOITONG_API_KEY"]}
payload = {
"video": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4",
"audio": "https://content.doitong.com/audio/showcase/v3/tools/dub_es.mp3",
"emotion": "happy",
}
# Run the model; wait up to 20 s for the finished result in the same call
r = requests.post(API + "/run/sync-lipsync/react-1", params={"wait": 20}, json=payload, headers=headers)
request = r.json()
if not r.ok:
raise RuntimeError(request["error"]["code"] + ": " + request["error"]["message"])
# Not finished yet: long-poll until it is
while request["status"] in ("queued", "running"):
request = requests.get(API + "/requests/" + request["id"], params={"wait": 20}, headers=headers).json()
if request["status"] != "succeeded":
raise RuntimeError(request["error"])
print([o["url"] for o in request["outputs"]], request["cost"]["credits"], "API credits", "$" + request["cost"]["usd"])
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "run",
"arguments": {
"model_id": "sync-lipsync/react-1",
"input": {
"video": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4",
"audio": "https://content.doitong.com/audio/showcase/v3/tools/dub_es.mp3",
"emotion": "happy"
},
"wait_seconds": 20
}
}
}
Kérés futtatása
A kulcsod ebben a böngészőben marad: csak a Doitong API-nak küldjük el, és csak akkor mentjük a localStorage-ba, ha bejelölöd az Emlékezz rám lehetőséget. API-kulcs igénylése
A(z) Sync React-1 bemutatása
A `video_url` és `audio_url` értéke legfeljebb 15 másodperces lehet, és kötelező az `emotion` (happy, sad, angry, disgusted, surprised vagy neutral). A `model_mode` állítja be a szerkesztési területet: lips, face vagy head. A `lipsync_mode` kezeli a hosszkülönbséget (cut_off, loop, bounce, silence, remap), a `temperature` (0–1) pedig a kifejezőkészséget szabályozza.
Paraméterek
Küldd el a kanonikus nevet vagy a natív nevet, de ne mindkettőt. Kanonikus nevek
video_urlkötelező
video
audio_urlkötelező
audio
emotionkötelező
model_modenem kötelező
lipsync_modenem kötelező
temperaturenem kötelező
A fájlparaméterek nyilvános https:// URL-t, legfeljebb 10 MB-os data: URI-t vagy egy feltöltés file_url értékét fogadják el. Fájlok
Kimenet
{
"id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
"object": "request",
"model": "sync-lipsync/react-1",
"status": "succeeded",
"created_at": "2026-10-20T12:00:00Z",
"started_at": "2026-10-20T12:00:02Z",
"completed_at": "2026-10-20T12:00:09Z",
"queue_position": null,
"cost": {
"credits": 1667,
"usd": "1.667",
"charged": 1667,
"refunded": 0
},
"input": {
"video_url": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4",
"audio_url": "https://content.doitong.com/audio/showcase/v3/tools/dub_es.mp3",
"emotion": "happy"
},
"output": {
"video": {
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
"content_type": "video/mp4",
"file_name": "0-output.mp4",
"file_size": 1843200,
"width": 1024,
"height": 768,
"fps": 1.0,
"duration": 5,
"num_frames": 1
}
},
"outputs": [
{
"type": "video",
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
"content_type": "video/mp4",
"file_size": 1843200,
"width": 1280,
"height": 720,
"duration": 5,
"stored": true
}
],
"error": null,
"metrics": {
"inference_seconds": 6.8
},
"urls": {
"self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
"cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
}
}
A kimenet mezői
- video
- object {url, content_type, file_name, file_size, width, height, fps, duration, num_frames}Szinkronizált arc- és ajakmozgásokat tartalmazó kimeneti videó.
A(z) Sync 3 további változatai
További modellek: Lipsync és avatarok
AI-ügynököknek: ez az oldal Markdown formátumban itt található: https://doitong.com/hu/developers/models/sync-lipsync/react-1.md. Minden modell és útmutató: https://doitong.com/developers/llms.txt